OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKIGES
IGESDefs

# IGESDefs_AssociativityDef Class Reference

defines IGES Associativity Definition Entity, Type <302>
Form <5001 - 9999> in package IGESDefs.
This class permits the preprocessor to define an
associativity schema. i.e., by using it preprocessor
defines the type of relationship.

`#include <IGESDefs_AssociativityDef.hxx>`

Inheritance diagram for IGESDefs_AssociativityDef:

[legend]

## Public Member Functions
Standard_EXPORT | IGESDefs_AssociativityDef ()
Standard_EXPORT void | Init (const Handle(TColStd_HArray1OfInteger)&requirements, const Handle(TColStd_HArray1OfInteger)&orders, const Handle(TColStd_HArray1OfInteger)&numItems, const Handle(IGESBasic_HArray1OfHArray1OfInteger)&items)
| This method is used to set the fields of the class AssociativityDef - requirements : Back Pointers requirements - orders : Class Orders - numItems : Number of Items per Class - items : Items in each class raises exception if lengths of the arrays are not the same. .
Standard_EXPORT void | SetFormNumber (const Standard_Integer form)
Standard_EXPORT Standard_Integer | NbClassDefs () const
| returns the Number of class definitions
Standard_EXPORT Standard_Boolean | IsBackPointerReq (const Standard_Integer ClassNum) const
| returns 1 if the theBackPointerReqs(ClassNum) = 1 returns 0 if the theBackPointerReqs(ClassNum) = 2 raises exception if ClassNum <= 0 or ClassNum > NbClassDefs()
Standard_EXPORT Standard_Integer | BackPointerReq (const Standard_Integer ClassNum) const
| returns 1 or 2 raises exception if ClassNum <= 0 or ClassNum > NbClassDefs()
Standard_EXPORT Standard_Boolean | IsOrdered (const Standard_Integer ClassNum) const
| returns 1 if theClassOrders(ClassNum) = 1 (ordered class) returns 0 if theClassOrders(ClassNum) = 2 (unordered class) raises exception if ClassNum <= 0 or ClassNum > NbClassDefs()
Standard_EXPORT Standard_Integer | ClassOrder (const Standard_Integer ClassNum) const
| returns 1 or 2 raises exception if ClassNum <= 0 or ClassNum > NbClassDefs()
Standard_EXPORT Standard_Integer | NbItemsPerClass (const Standard_Integer ClassNum) const
| returns no. of items per class entry raises exception if ClassNum <= 0 or ClassNum > NbClassDefs()
Standard_EXPORT Standard_Integer | Item (const Standard_Integer ClassNum, const Standard_Integer ItemNum) const
| returns ItemNum'th Item of ClassNum'th Class raises exception if ClassNum <= 0 or ClassNum > NbClassDefs() ItemNum <= 0 or ItemNum > NbItemsPerClass(ClassNum)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_TColStd_HArray1OfInteger | theBackPointerReqs
Handle_TColStd_HArray1OfInteger | theClassOrders
Handle_TColStd_HArray1OfInteger | theNbItemsPerClass
Handle_IGESBasic_HArray1OfHArray1OfInteger | theItems

## Constructor & Destructor Documentation

Standard_EXPORT IGESDefs_AssociativityDef::IGESDefs_AssociativityDef | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Integer IGESDefs_AssociativityDef::BackPointerReq | ( | const Standard_Integer | ClassNum | ) | const

Standard_EXPORT Standard_Integer IGESDefs_AssociativityDef::ClassOrder | ( | const Standard_Integer | ClassNum | ) | const

Standard_EXPORT const IGESDefs_AssociativityDef::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_IGESEntity.

Standard_EXPORT void IGESDefs_AssociativityDef::Init | ( | const Handle(TColStd_HArray1OfInteger)& | requirements,
|  | const Handle(TColStd_HArray1OfInteger)& | orders,
|  | const Handle(TColStd_HArray1OfInteger)& | numItems,
|  | const Handle(IGESBasic_HArray1OfHArray1OfInteger)& | items
| ) |

Standard_EXPORT Standard_Boolean IGESDefs_AssociativityDef::IsBackPointerReq | ( | const Standard_Integer | ClassNum | ) | const

Standard_EXPORT Standard_Boolean IGESDefs_AssociativityDef::IsOrdered | ( | const Standard_Integer | ClassNum | ) | const

Standard_EXPORT Standard_Integer IGESDefs_AssociativityDef::Item | ( | const Standard_Integer | ClassNum,
|  | const Standard_Integer | ItemNum
| ) | const

Standard_EXPORT Standard_Integer IGESDefs_AssociativityDef::NbClassDefs | ( |  | ) | const

Standard_EXPORT Standard_Integer IGESDefs_AssociativityDef::NbItemsPerClass | ( | const Standard_Integer | ClassNum | ) | const

Standard_EXPORT void IGESDefs_AssociativityDef::SetFormNumber | ( | const Standard_Integer | form | ) |

## Field Documentation

Handle_TColStd_HArray1OfInteger IGESDefs_AssociativityDef::theBackPointerReqs`[private]`

Handle_TColStd_HArray1OfInteger IGESDefs_AssociativityDef::theClassOrders`[private]`

Handle_IGESBasic_HArray1OfHArray1OfInteger IGESDefs_AssociativityDef::theItems`[private]`

Handle_TColStd_HArray1OfInteger IGESDefs_AssociativityDef::theNbItemsPerClass`[private]`

The documentation for this class was generated from the following file:

- IGESDefs_AssociativityDef.hxx